Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Individuals
Class Genotype

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList<Chromosome>
                  Individuals.Genotype

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<Chromosome>, java.util.Collection<Chromosome>, java.util.List<Chromosome>, java.util.RandomAccess

    public class Genotype

extends java.util.ArrayList<Chromosome>

Genotype is an ArryaList. This is a container for one or more chromosomes. For most usage a single chromosome will be sufficient so the behavior of the Class will be to provide a wrapper for the chromosome class.

Author:
  Blip
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`Genotype()` Creates a new instance of Genotype
`Genotype(Genotype g)` Copy constructor
`Genotype(int i)`
`Genotype(int i, Chromosome chrom)`

Method Summary

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Constructor Detail

### Genotype

    public Genotype()

  Creates a new instance of Genotype

### Genotype

    public Genotype(int i)

### Genotype

    public Genotype(Genotype g)

  Copy constructor

  Parameters:
    `g` - genotyp to copy

### Genotype

    public Genotype(int i,
                    Chromosome chrom)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD